.header {
  .header-wrapper {
    margin: 0 28px;
    .header-img {
      width: 100%;
      display: block;
    }

    .nav {
      position: relative;

      .menu-btn {
        font-size: 26px;
        width: 44px;
        float: right;
        cursor: pointer;
        color: white;
        margin: 23px 0;
        background: black;
        height: 37px;
        caret-color: transparent;
        display: flex;
        justify-content: center;
        align-items: center;

        .label {
          width: 30px;
          height: 4px;
          position: absolute;
          background-color: orange;
          right: 8px;
          top: 39px;
          &::before, &::after {
            content: '';
            width: 30px;
            height: 4px;
            background-color: orange;
            display: block;
            position: absolute;
            transition: all 0.6s;
          }
          &::before {
            top: -10px;
            left: 0;
            transform-origin: -1px 8px;
            transform: rotateZ(0deg);
          }
          &::after {
            top: 10px;
            left: 0;
            transform-origin: 4px -1px;
            transform: rotateZ(0deg);
          }
        }


        .menu {
          //margin: 0 30px 0 0;

          display: none;
          width: 182px;
          top: 60px;
          right: 0;
          position: absolute;
          a {
            text-decoration: none;
            padding: 0 10px;
            background-color: rgba(245, 245, 245, 1);
            color: $text-color;
            display: block;
            border-bottom: 1px solid #eaeaeb;
            width: 90%;
            font-style: normal;
            font-weight: normal;
            font-size: 11px;
            line-height: 32px;
            text-transform: uppercase;
            span {
              color: rgba(87, 164, 164, 1);
            }
          }
          a:hover {
            background: rgba(229, 229, 229, 1);
          }
        }
        .header-button {
          width: 145px;
          height: 38px;
          text-align: center;
          background-color: #8d81ac;
          border-radius: 40px;
          color: white;
          position: absolute;

          left: 50%;
          margin-left: -72px;
          margin-top: 33px;
          padding-top: 8px;
          font-weight: bold;
          font-size: 16px;
        }


        #toggle {
          display: none;
        }
        #toggle:checked ~ .menu {
          display: block;
        }

        #toggle:checked + .label::before {
          background-color: red;
          transform: rotateZ(41deg);
        }
        #toggle:checked + .label::after {
          background-color: red;
          transform: rotateZ(-41deg);
        }
        #toggle:checked + .label {
          background-color: black;
        }
      }
    }
  }
}


@media (min-width: 768px) {
  .header {
    .header-wrapper {
      margin: 0 92px 0 80px;

      .nav {

        .menu-btn {
          background: none;

          .label {
            display: none;
          }
          .menu {
            display: block;
            padding-top: 0;
            width: 100%;
            margin: 0;
            text-align: center;
            line-height: 80px;
            position: absolute;
            top: 0;
          }
          .menu a {
            text-decoration: none;
            margin: 0 10px;
            display: inline;
            line-height: 28px;
            border-bottom: transparent;
            background-color: transparent;
            span {
              color: rgba(87, 164, 164, 1);
            }
          }
          .header-button {
            position: absolute;
            top: -1%;
            left: unset;
            right: 2%;
            margin: 24px 0 0 200px;
          }
          #toggle {
            display: none;
          }
        }
      }
    }
  }
}

@media (min-width: 1200px) {
  .header{
    .header-wrapper {
      margin: 0 215px;
    }
  }
}